Skip to main content
GET
Get HPC Job details

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

jobId
string
required

Id of HPC Job to retrieve details for

Response

Success

dataPlaneId
object
required
id
string
required

Id of the HPC Job.

Example:

"6a17183ab03cb818f0f9c27b"

jobRunCommand
string
required

The Slurm script / command the HPC Job ran.

Example:

"hello.sh"

number
integer
required

Sequential number of the HPC Job within the project.

Example:

1

projectId
string
required

Id of the project the HPC Job belongs to.

Example:

"6a17175ab03cb818f0f9c25f"

stageTime
object
required
startedBy
object
required
status
string
required

Current status of the HPC Job.

Example:

"Completed"

tags
object[]
required
title
string
required

Name of the HPC Job.

Example:

"test1"

requestedResources
object

Resources requested at job submission time.

script
string

The contents of the Slurm script that the HPC job ran.

Example:

"echo 'Hello World'"

usage
object